/* slurp-utils.h
 *
 * Copyright © 2017 Julian Richen <julian@richen.io>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SLURP_UTILS_H
#define SLURP_UTILS_H

#include <glib.h>
#include <gio/gio.h>

G_BEGIN_DECLS

gboolean
slurp_utils_uri_is_directory (const gchar *uri);

gboolean
slurp_utils_create_directory (const gchar *uri);

G_END_DECLS

#endif /* SLURP_UTILS_H */

