/* slurp-gtk.h
 *
 * Copyright © 2018 Julian Richen <julian@richen.io>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SLURP_GTK_H
#define SLURP_GTK_H

#include <slurp/slurp.gtk>

#include <glib.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define SLURP_GTK_INSIDE

#include "slurp-download-widget.h"
#include "slurp-download-item-widget.h"
#include "slurp-download-button.h"

#undef SLURP_GTK_INSIDE

G_END_DECLS

#endif /* SLURP_GTK_H */
